%global author theZiz

%{!?_licensedir:%global license %%doc}

# https://copr-be.cloud.fedoraproject.org/results/scx/aha/fedora-27-i386/00771794-aha/builder-live.log
# https://copr-be.cloud.fedoraproject.org/results/scx/aha/mageia-cauldron-i586/00771796-aha/builder-live.log
%define keep_debug_package %{nil}
%define keep_debug_package 0

%if 0%{?rhel}%{?fedora}
  %if 0%{?rhel}
    %if 0%{?rhel} <= 7
      %define keep_debug_package 1
    %endif
  %else
    %if 0%{?fedora} <= 26
      %define keep_debug_package 1
    %endif
  %endif
%else
  %if 0%{?suse_version}%{?sle_version}
    %define keep_debug_package 1
  %else
    %if 0%{?mageia}
      %if 0%{?mageia} <= 6
        %define keep_debug_package 1
      %endif
    %else
      %if 0%{?mdkversion}
        %define keep_debug_package 1
      %else
        %if 0%{?alt_version}
          %define keep_debug_package 1
        %endif
      %endif
    %endif
  %endif
%endif

%if ! 0%{?keep_debug_package}
  %global debug_package %{nil}
%endif

Name:           aha
Version:        0.4.10.6
Release:        3%{?dist}
Group:          Applications/Publishing
License:        LGPL2+ or the MPL1.1
URL:            https://github.com/%{author}/%{name}
Summary:        Ansi HTML Adapter

Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        lgpl-2.1.txt
Source2:        MPL-1.1.txt

BuildRequires:  gcc-c++


%description
Converts ANSI escape sequences of a unix terminal to HTML code.


%prep
%setup -qn "%{name}-%{version}"
%{__cp} %{SOURCE1} .
%{__cp} %{SOURCE2} .


%build
%{make_build}


%install
%{make_install} docdir="%{_pkgdocdir}" PREFIX="%{_prefix}"


%files
%doc CHANGELOG README.md
%license lgpl-2.1.txt MPL-1.1.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Jun 27 2018 Tomasz Tomasik <scx.mail@gmail.com> - 0.4.10.6-3
- Disable debug package by default.

* Wed Jun 27 2018 Tomasz Tomasik <scx.mail@gmail.com> - 0.4.10.6-2
- Disable debug package for Fedora > 26.

* Wed Jun 27 2018 Tomasz Tomasik <scx.mail@gmail.com> - 0.4.10.6-1
- Initial Release.

